## org.apache.aries.subsystem.core.archive
Class AbstractHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractHeader

All Implemented Interfaces:
  Header

Direct Known Subclasses:
  SymbolicNameHeader, VersionHeader

    public abstract class AbstractHeader

extends Object
implements Header

Field Summary
`protected List<Clause>` `clauses`
`protected String` `name`
`protected static Pattern` `PATTERN`
`protected static String` `REGEX`
`protected String` `value`

Constructor Summary
`AbstractHeader(String name, String value)`

Method Summary
`protected static void` `appendResource(org.osgi.resource.Resource resource, StringBuilder builder)`
`List<Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGEX

    protected static final String REGEX

See Also:
  Constant Field Values

### PATTERN

    protected static final Pattern PATTERN

### clauses

    protected final List<Clause> clauses

### name

    protected final String name

### value

    protected final String value

Constructor Detail

### AbstractHeader

    public AbstractHeader(String name,
                          String value)

Method Detail

### appendResource

    protected static void appendResource(org.osgi.resource.Resource resource,
                                         StringBuilder builder)

### getClauses

    public List<Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.